import os
from setuptools import setup, find_packages
f = open('README.rst')

long_description = f.read().strip()
long_description = long_description.split('readme', 1)[1]
f.close()


def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()


setup(
    name='grocy-cli',
    version='0.0.1',
    author='Aerex',
    author_email='aerex@aerex.me',
    description=('A plugin to create, delete, and modify tasks across various services'),
    keywords='grocy, cli',
    url='http://packages.python.org/an_example_pypi_project',
    packages=find_packages(),
    include_package_data=True,
    zip_safe=False,
    install_requires=['Click', 'pyyaml', 'requests', 'taskw', 'lockfile', 'tox', 'html2text', 'markdown', 'cachecontrol', 'fontawesome'],
    long_description=read('README.rst'),
    tests_require=[
        "pytest_mock",
        "pytest",
        "mock"
    ],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Topic :: Utilities",
        "License :: OSI Approved :: BSD License",
        ],
    entry_points='''
    [console_scripts]
    grocy=grocy.cli:main
    ''',

    )
